
//
//  TransformedImageController.h
//  Transformed Image
//	Original by jcr @ Apple.  Recoded by Carl Brown @ Stamps.com, March 2005
//
#import <Cocoa/Cocoa.h>

@interface TransformedImageController : NSObject
{


	float scale, relativeScale, calcScale;
	int rotation, flipH, flipV;
	
	IBOutlet id moveableImage;
	IBOutlet id imageView;
	IBOutlet id window;
	IBOutlet NSSlider * zoomSlide;
	IBOutlet NSSlider * rotateSlide;
	
	

}

// Actions to manipulate the transform
- (IBAction) rotateLeft: sender;
- (IBAction) rotateSlide: sender;
- (IBAction) rotateLeft1: sender;
- (IBAction) rotateRight1: sender;
- (IBAction) rotateRight: sender;
- (int)getRotation;


- (IBAction) zoomIn: sender; 
- (IBAction) zoomOut: sender;
- (int)getZoom;				//	% zoom w/o regards to x/y size
- (float)getRelativeZoom;	//	Amount in proportion to x/y zoon vs. actual zoom from original 

- (IBAction) zoomSlide: sender;

- (IBAction) flipHorizontal: sender;
- (IBAction) flipVertical: sender;
- (NSString *) getFlipHorizontal;
- (NSString *) getFlipVertical;

- (void) fixMatrix;

- (IBAction) resetTransformations:(id)sender;

	// file handling
- (IBAction) openDocument: sender;
- (IBAction) saveDocument:(id)sender;
- (NSData *) saveToFile:(NSString *)filename;
- (void) openPanelDidEnd:(NSOpenPanel *)sheet returnCode:(int)returnCode contextInfo:(void  *)contextInfo;
- (void) savePanelDidEnd:(NSSavePanel *)sheet returnCode:(int)returnCode contextInfo:(void  *)contextInfo;
- (IBAction) imageViewRecievedImage: sender;  // called when an image is dropped on the well

@end
